dpkg-scanpackages(1)

NOM
dpkg-scanpackages - Créer des fichiers d'index de paquets.

SYNOPSIS
dpkg-scanpackages [option...] chemin-de-binaires [fichier-override [préfixe-chemin]] > Paquets

DESCRIPTION
dpkg-scanpackages trie une arborescence contenant des paquets binaires Debian et crée un fichier « Packages » qui permettra à apt(8), dselect(1), ou à un autre programme, de savoir quels sont les paquets installables. Ces fichiers « Packages » sont semblables à ceux qu'on peut trouver sur les sites d'archives Debian ou sur des CD. Quand on crée un répertoire contenant des paquets qu'on veut installer sur un ensemble de machines, on peut se servir soi-même de dpkg-scanpackages.

Note : Pour pouvoir accéder avec apt au fichier « Packages » créé, il faudra sans doute le compresser avec xz(1) (qui crée un fichier Packages.xz), bzip2(1) (qui crée un fichier Packages.bz2) ou gzip(1) (qui crée un fichier Packages.gz). apt ignore les fichiers « Packages » non compressés, sauf pour des sources locales (c'est-à-dire les sources file://).

chemin-de-binaires est le nom de l'arborescence des paquets binaires (par exemple contrib/binary-i386) que l'on veut traiter. Il vaut mieux qu'il soit relatif à la racine de l'archive Debian ; ainsi chaque champ « Filename » dans le nouveau fichier « Packages » commencera par cette chaîne.

fichier-override est le nom du fichier qui contient les renseignements sur la manière dont le paquet s'insère dans la distribution (ce fichier peut être compressé depuis dpkg 1.15.5) ; voir deb-override(5).

préfixe-chemin est une chaîne facultative qui préfixera les champs « Filename ».

S'il existe plusieurs versions d'un paquet, seule la plus récente est affichée en sortie. Si les paquets ont la même version mais diffèrent par l'architecture, seul le premier trouvé est utilisé.

OPTIONS

-t, --type type
    Recherche des fichiers *.type, plutôt que *.deb.

-e, --extra-override fichier
    Examine fichier à la recherche d'« overrides » supplémentaires (ce fichier peut être compressé depuis dpkg 1.15.5). Voir deb-extra-override(5) pour plus d'information sur le format utilisé.

-a, --arch arch
    Utilise un motif se composant de *_all.deb et de *_arch.deb, plutôt que de rechercher tous les fichiers debs.

-h, --hash liste-de-hachage
    Générer uniquement le hachage de fichiers spécifiés (liste séparée par des virgules - depuis dpkg 1.17.14). Par défaut, cela génère tous les hachages actuellement pris en charge. Valeurs prises en charges : md5, sha1, sha256.

-m, --multiversion
    Affiche tous les paquets trouvés en sortie.

-M, --medium chaîne-id
    Ajoute un champ X-Medium qui contient la valeur chaîne-id (depuis dpkg 1.15.5). Ce champ est obligatoire si vous voulez créer des fichiers Packages.cd destinés à être utilisés avec la méthode multicd de dselect.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

ENVIRONNEMENT

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

DIAGNOSTICS
dpkg-scanpackages affiche les erreurs habituelles qui se comprennent d'elles-mêmes. Il affiche aussi des avertissements quand des paquets sont dans un mauvais sous-répertoire, existent en double exemplaire, ont des champs « Filename » dans leur fichier « control », sont absents du fichier « override » ou bien dont les substitutions de responsable ne peuvent pas s'appliquer.

VOIR AUSSI
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.